View Issue Details

IDProjectCategoryView StatusLast Update
0002943PluginsNetBoxpublic2015-08-13 19:56
ReporterAnabarAssigned Tomichael.lukashov 
PriorityhighSeveritycrashReproducibilityalways
Status closedResolutionfixed 
Platformx64OSWindowsOS Version7
Product Version3.0 
Target VersionFixed in Version3.0 
Summary0002943: Падение при использовании внешнего редактора с NetBox
DescriptionЗайдя с помощью NetBox по SSH на внешний хост, используем для редактирования внешний (Alt+F4) редактор (g(Vim)). После сохранения результата (результат действительно успешно сохраняется), пытаемся обратиться к файлу вновь (редактор или даже viewer F3). Получаем крэш как на картине. Far падает сразу или сначала падает только NetBox, а Far через некоторое время.
Steps To ReproduceДолжен быть по крайне мере один SSH-хост, и должен быть подключён внешний редактор (на Alt+F4, в моём случае gvim.exe !.! )


Запустить Far
Перейти на SSH шару (Alt+F1 2 и выбрать хост из списка)
Выбрать произвольный файл.
Редактировать внешним редактором Alt+F4
Внести и сохранить изменения
Вновь обратиться к файлу по F3 или через Alt+F4


Additional InformationВерсия Far 3.0.4242, проявлялось и более ранних версиях ветки 3.x
Раньше (с WinSCP) работало.
TagsNo tags attached.

Activities

Anabar

2015-02-16 17:45

reporter  

far_crash.png (18,664 bytes)
far_crash.png (18,664 bytes)

michael.lukashov

2015-07-31 07:24

developer   bugnote:0013729

Проверьте сегодняшнюю ночную сборку плагина.

michael.lukashov

2015-08-12 07:54

developer   bugnote:0013760

В Far3 не сохранялся отредактированный файл - исправлено в 399 билде

Issue History

Date Modified Username Field Change
2015-02-16 17:45 Anabar New Issue
2015-02-16 17:45 Anabar File Added: far_crash.png
2015-07-31 07:24 michael.lukashov Note Added: 0013729
2015-08-12 07:54 michael.lukashov Note Added: 0013760
2015-08-13 17:04 2useven10 Category Editor => _Common
2015-08-13 17:04 2useven10 Project Far Manager => Plugins
2015-08-13 17:04 2useven10 Category _Common => NetBox
2015-08-13 17:05 2useven10 Assigned To => michael.lukashov
2015-08-13 17:05 2useven10 Status new => assigned
2015-08-13 19:56 michael.lukashov Status assigned => closed
2015-08-13 19:56 michael.lukashov Resolution open => fixed
2015-08-13 19:56 michael.lukashov Fixed in Version => 3.0